### YamlMime:ManagedReference
items:
- uid: Voile.Color
  commentId: T:Voile.Color
  id: Color
  parent: Voile
  children:
  - Voile.Color.#ctor(System.Byte,System.Byte,System.Byte,System.Byte)
  - Voile.Color.#ctor(System.Int32)
  - Voile.Color.#ctor(System.Single,System.Single,System.Single,System.Single)
  - Voile.Color.A
  - Voile.Color.AliceBlue
  - Voile.Color.AntiqueWhite
  - Voile.Color.Aqua
  - Voile.Color.Aquamarine
  - Voile.Color.Argb
  - Voile.Color.Azure
  - Voile.Color.B
  - Voile.Color.Beige
  - Voile.Color.Bisque
  - Voile.Color.Black
  - Voile.Color.BlanchedAlmond
  - Voile.Color.Blue
  - Voile.Color.BlueViolet
  - Voile.Color.Brown
  - Voile.Color.BurlyWood
  - Voile.Color.CadetBlue
  - Voile.Color.Chartreuse
  - Voile.Color.Chocolate
  - Voile.Color.Coral
  - Voile.Color.CornflowerBlue
  - Voile.Color.Cornsilk
  - Voile.Color.Crimson
  - Voile.Color.Cyan
  - Voile.Color.DarkBlue
  - Voile.Color.DarkCyan
  - Voile.Color.Darkened(System.Single)
  - Voile.Color.FromHexString(System.String)
  - Voile.Color.G
  - Voile.Color.Green
  - Voile.Color.Lightened(System.Single)
  - Voile.Color.R
  - Voile.Color.Red
  - Voile.Color.ToSystemColor
  - Voile.Color.White
  langs:
  - csharp
  - vb
  name: Color
  nameWithType: Color
  fullName: Voile.Color
  type: Struct
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Color
    path: Source/Utils/Color.cs
    startLine: 6
  assemblies:
  - Voile
  namespace: Voile
  summary: A record struct representing a color.
  example: []
  syntax:
    content: 'public record struct Color : IEquatable<Color>'
    content.vb: Public Structure Color Implements IEquatable(Of Color)
  implements:
  - System.IEquatable{Voile.Color}
  inheritedMembers:
  - System.ValueType.Equals(System.Object)
  - System.ValueType.GetHashCode
  - System.ValueType.ToString
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetType
  - System.Object.ReferenceEquals(System.Object,System.Object)
- uid: Voile.Color.AliceBlue
  commentId: F:Voile.Color.AliceBlue
  id: AliceBlue
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: AliceBlue
  nameWithType: Color.AliceBlue
  fullName: Voile.Color.AliceBlue
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: AliceBlue
    path: Source/Utils/Color.cs
    startLine: 9
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color AliceBlue
    return:
      type: Voile.Color
    content.vb: Public Shared AliceBlue As Color
- uid: Voile.Color.AntiqueWhite
  commentId: F:Voile.Color.AntiqueWhite
  id: AntiqueWhite
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: AntiqueWhite
  nameWithType: Color.AntiqueWhite
  fullName: Voile.Color.AntiqueWhite
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: AntiqueWhite
    path: Source/Utils/Color.cs
    startLine: 10
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color AntiqueWhite
    return:
      type: Voile.Color
    content.vb: Public Shared AntiqueWhite As Color
- uid: Voile.Color.Aqua
  commentId: F:Voile.Color.Aqua
  id: Aqua
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Aqua
  nameWithType: Color.Aqua
  fullName: Voile.Color.Aqua
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Aqua
    path: Source/Utils/Color.cs
    startLine: 11
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Aqua
    return:
      type: Voile.Color
    content.vb: Public Shared Aqua As Color
- uid: Voile.Color.Aquamarine
  commentId: F:Voile.Color.Aquamarine
  id: Aquamarine
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Aquamarine
  nameWithType: Color.Aquamarine
  fullName: Voile.Color.Aquamarine
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Aquamarine
    path: Source/Utils/Color.cs
    startLine: 12
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Aquamarine
    return:
      type: Voile.Color
    content.vb: Public Shared Aquamarine As Color
- uid: Voile.Color.Azure
  commentId: F:Voile.Color.Azure
  id: Azure
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Azure
  nameWithType: Color.Azure
  fullName: Voile.Color.Azure
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Azure
    path: Source/Utils/Color.cs
    startLine: 13
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Azure
    return:
      type: Voile.Color
    content.vb: Public Shared Azure As Color
- uid: Voile.Color.Beige
  commentId: F:Voile.Color.Beige
  id: Beige
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Beige
  nameWithType: Color.Beige
  fullName: Voile.Color.Beige
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Beige
    path: Source/Utils/Color.cs
    startLine: 14
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Beige
    return:
      type: Voile.Color
    content.vb: Public Shared Beige As Color
- uid: Voile.Color.Bisque
  commentId: F:Voile.Color.Bisque
  id: Bisque
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Bisque
  nameWithType: Color.Bisque
  fullName: Voile.Color.Bisque
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Bisque
    path: Source/Utils/Color.cs
    startLine: 15
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Bisque
    return:
      type: Voile.Color
    content.vb: Public Shared Bisque As Color
- uid: Voile.Color.Black
  commentId: F:Voile.Color.Black
  id: Black
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Black
  nameWithType: Color.Black
  fullName: Voile.Color.Black
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Black
    path: Source/Utils/Color.cs
    startLine: 16
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Black
    return:
      type: Voile.Color
    content.vb: Public Shared Black As Color
- uid: Voile.Color.BlanchedAlmond
  commentId: F:Voile.Color.BlanchedAlmond
  id: BlanchedAlmond
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: BlanchedAlmond
  nameWithType: Color.BlanchedAlmond
  fullName: Voile.Color.BlanchedAlmond
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: BlanchedAlmond
    path: Source/Utils/Color.cs
    startLine: 17
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color BlanchedAlmond
    return:
      type: Voile.Color
    content.vb: Public Shared BlanchedAlmond As Color
- uid: Voile.Color.Blue
  commentId: F:Voile.Color.Blue
  id: Blue
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Blue
  nameWithType: Color.Blue
  fullName: Voile.Color.Blue
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Blue
    path: Source/Utils/Color.cs
    startLine: 18
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Blue
    return:
      type: Voile.Color
    content.vb: Public Shared Blue As Color
- uid: Voile.Color.BlueViolet
  commentId: F:Voile.Color.BlueViolet
  id: BlueViolet
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: BlueViolet
  nameWithType: Color.BlueViolet
  fullName: Voile.Color.BlueViolet
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: BlueViolet
    path: Source/Utils/Color.cs
    startLine: 19
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color BlueViolet
    return:
      type: Voile.Color
    content.vb: Public Shared BlueViolet As Color
- uid: Voile.Color.Brown
  commentId: F:Voile.Color.Brown
  id: Brown
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Brown
  nameWithType: Color.Brown
  fullName: Voile.Color.Brown
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Brown
    path: Source/Utils/Color.cs
    startLine: 20
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Brown
    return:
      type: Voile.Color
    content.vb: Public Shared Brown As Color
- uid: Voile.Color.BurlyWood
  commentId: F:Voile.Color.BurlyWood
  id: BurlyWood
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: BurlyWood
  nameWithType: Color.BurlyWood
  fullName: Voile.Color.BurlyWood
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: BurlyWood
    path: Source/Utils/Color.cs
    startLine: 21
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color BurlyWood
    return:
      type: Voile.Color
    content.vb: Public Shared BurlyWood As Color
- uid: Voile.Color.CadetBlue
  commentId: F:Voile.Color.CadetBlue
  id: CadetBlue
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: CadetBlue
  nameWithType: Color.CadetBlue
  fullName: Voile.Color.CadetBlue
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: CadetBlue
    path: Source/Utils/Color.cs
    startLine: 22
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color CadetBlue
    return:
      type: Voile.Color
    content.vb: Public Shared CadetBlue As Color
- uid: Voile.Color.Chartreuse
  commentId: F:Voile.Color.Chartreuse
  id: Chartreuse
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Chartreuse
  nameWithType: Color.Chartreuse
  fullName: Voile.Color.Chartreuse
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Chartreuse
    path: Source/Utils/Color.cs
    startLine: 23
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Chartreuse
    return:
      type: Voile.Color
    content.vb: Public Shared Chartreuse As Color
- uid: Voile.Color.Chocolate
  commentId: F:Voile.Color.Chocolate
  id: Chocolate
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Chocolate
  nameWithType: Color.Chocolate
  fullName: Voile.Color.Chocolate
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Chocolate
    path: Source/Utils/Color.cs
    startLine: 24
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Chocolate
    return:
      type: Voile.Color
    content.vb: Public Shared Chocolate As Color
- uid: Voile.Color.Coral
  commentId: F:Voile.Color.Coral
  id: Coral
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Coral
  nameWithType: Color.Coral
  fullName: Voile.Color.Coral
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Coral
    path: Source/Utils/Color.cs
    startLine: 25
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Coral
    return:
      type: Voile.Color
    content.vb: Public Shared Coral As Color
- uid: Voile.Color.CornflowerBlue
  commentId: F:Voile.Color.CornflowerBlue
  id: CornflowerBlue
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: CornflowerBlue
  nameWithType: Color.CornflowerBlue
  fullName: Voile.Color.CornflowerBlue
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: CornflowerBlue
    path: Source/Utils/Color.cs
    startLine: 26
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color CornflowerBlue
    return:
      type: Voile.Color
    content.vb: Public Shared CornflowerBlue As Color
- uid: Voile.Color.Cornsilk
  commentId: F:Voile.Color.Cornsilk
  id: Cornsilk
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Cornsilk
  nameWithType: Color.Cornsilk
  fullName: Voile.Color.Cornsilk
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Cornsilk
    path: Source/Utils/Color.cs
    startLine: 27
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Cornsilk
    return:
      type: Voile.Color
    content.vb: Public Shared Cornsilk As Color
- uid: Voile.Color.Crimson
  commentId: F:Voile.Color.Crimson
  id: Crimson
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Crimson
  nameWithType: Color.Crimson
  fullName: Voile.Color.Crimson
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Crimson
    path: Source/Utils/Color.cs
    startLine: 28
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Crimson
    return:
      type: Voile.Color
    content.vb: Public Shared Crimson As Color
- uid: Voile.Color.Cyan
  commentId: F:Voile.Color.Cyan
  id: Cyan
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Cyan
  nameWithType: Color.Cyan
  fullName: Voile.Color.Cyan
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Cyan
    path: Source/Utils/Color.cs
    startLine: 29
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Cyan
    return:
      type: Voile.Color
    content.vb: Public Shared Cyan As Color
- uid: Voile.Color.DarkBlue
  commentId: F:Voile.Color.DarkBlue
  id: DarkBlue
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: DarkBlue
  nameWithType: Color.DarkBlue
  fullName: Voile.Color.DarkBlue
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: DarkBlue
    path: Source/Utils/Color.cs
    startLine: 30
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color DarkBlue
    return:
      type: Voile.Color
    content.vb: Public Shared DarkBlue As Color
- uid: Voile.Color.DarkCyan
  commentId: F:Voile.Color.DarkCyan
  id: DarkCyan
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: DarkCyan
  nameWithType: Color.DarkCyan
  fullName: Voile.Color.DarkCyan
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: DarkCyan
    path: Source/Utils/Color.cs
    startLine: 31
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color DarkCyan
    return:
      type: Voile.Color
    content.vb: Public Shared DarkCyan As Color
- uid: Voile.Color.White
  commentId: F:Voile.Color.White
  id: White
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: White
  nameWithType: Color.White
  fullName: Voile.Color.White
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: White
    path: Source/Utils/Color.cs
    startLine: 32
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color White
    return:
      type: Voile.Color
    content.vb: Public Shared White As Color
- uid: Voile.Color.Green
  commentId: F:Voile.Color.Green
  id: Green
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Green
  nameWithType: Color.Green
  fullName: Voile.Color.Green
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Green
    path: Source/Utils/Color.cs
    startLine: 33
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Green
    return:
      type: Voile.Color
    content.vb: Public Shared Green As Color
- uid: Voile.Color.Red
  commentId: F:Voile.Color.Red
  id: Red
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Red
  nameWithType: Color.Red
  fullName: Voile.Color.Red
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Red
    path: Source/Utils/Color.cs
    startLine: 34
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color Red
    return:
      type: Voile.Color
    content.vb: Public Shared Red As Color
- uid: Voile.Color.R
  commentId: P:Voile.Color.R
  id: R
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: R
  nameWithType: Color.R
  fullName: Voile.Color.R
  type: Property
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: R
    path: Source/Utils/Color.cs
    startLine: 36
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public float R { readonly get; set; }
    parameters: []
    return:
      type: System.Single
    content.vb: Public Property R As Single
  overload: Voile.Color.R*
- uid: Voile.Color.G
  commentId: P:Voile.Color.G
  id: G
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: G
  nameWithType: Color.G
  fullName: Voile.Color.G
  type: Property
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: G
    path: Source/Utils/Color.cs
    startLine: 37
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public float G { readonly get; set; }
    parameters: []
    return:
      type: System.Single
    content.vb: Public Property G As Single
  overload: Voile.Color.G*
- uid: Voile.Color.B
  commentId: P:Voile.Color.B
  id: B
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: B
  nameWithType: Color.B
  fullName: Voile.Color.B
  type: Property
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: B
    path: Source/Utils/Color.cs
    startLine: 38
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public float B { readonly get; set; }
    parameters: []
    return:
      type: System.Single
    content.vb: Public Property B As Single
  overload: Voile.Color.B*
- uid: Voile.Color.A
  commentId: P:Voile.Color.A
  id: A
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: A
  nameWithType: Color.A
  fullName: Voile.Color.A
  type: Property
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: A
    path: Source/Utils/Color.cs
    startLine: 39
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public float A { readonly get; set; }
    parameters: []
    return:
      type: System.Single
    content.vb: Public Property A As Single
  overload: Voile.Color.A*
- uid: Voile.Color.Argb
  commentId: P:Voile.Color.Argb
  id: Argb
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Argb
  nameWithType: Color.Argb
  fullName: Voile.Color.Argb
  type: Property
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Argb
    path: Source/Utils/Color.cs
    startLine: 41
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public int Argb { get; }
    parameters: []
    return:
      type: System.Int32
    content.vb: Public ReadOnly Property Argb As Integer
  overload: Voile.Color.Argb*
- uid: Voile.Color.#ctor(System.Single,System.Single,System.Single,System.Single)
  commentId: M:Voile.Color.#ctor(System.Single,System.Single,System.Single,System.Single)
  id: '#ctor(System.Single,System.Single,System.Single,System.Single)'
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Color(float, float, float, float)
  nameWithType: Color.Color(float, float, float, float)
  fullName: Voile.Color.Color(float, float, float, float)
  type: Constructor
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/Utils/Color.cs
    startLine: 54
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public Color(float r, float g, float b, float a)
    parameters:
    - id: r
      type: System.Single
    - id: g
      type: System.Single
    - id: b
      type: System.Single
    - id: a
      type: System.Single
    content.vb: Public Sub New(r As Single, g As Single, b As Single, a As Single)
  overload: Voile.Color.#ctor*
  nameWithType.vb: Color.New(Single, Single, Single, Single)
  fullName.vb: Voile.Color.New(Single, Single, Single, Single)
  name.vb: New(Single, Single, Single, Single)
- uid: Voile.Color.#ctor(System.Byte,System.Byte,System.Byte,System.Byte)
  commentId: M:Voile.Color.#ctor(System.Byte,System.Byte,System.Byte,System.Byte)
  id: '#ctor(System.Byte,System.Byte,System.Byte,System.Byte)'
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Color(byte, byte, byte, byte)
  nameWithType: Color.Color(byte, byte, byte, byte)
  fullName: Voile.Color.Color(byte, byte, byte, byte)
  type: Constructor
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/Utils/Color.cs
    startLine: 62
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public Color(byte r, byte g, byte b, byte a)
    parameters:
    - id: r
      type: System.Byte
    - id: g
      type: System.Byte
    - id: b
      type: System.Byte
    - id: a
      type: System.Byte
    content.vb: Public Sub New(r As Byte, g As Byte, b As Byte, a As Byte)
  overload: Voile.Color.#ctor*
  nameWithType.vb: Color.New(Byte, Byte, Byte, Byte)
  fullName.vb: Voile.Color.New(Byte, Byte, Byte, Byte)
  name.vb: New(Byte, Byte, Byte, Byte)
- uid: Voile.Color.#ctor(System.Int32)
  commentId: M:Voile.Color.#ctor(System.Int32)
  id: '#ctor(System.Int32)'
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Color(int)
  nameWithType: Color.Color(int)
  fullName: Voile.Color.Color(int)
  type: Constructor
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/Utils/Color.cs
    startLine: 70
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public Color(int hex)
    parameters:
    - id: hex
      type: System.Int32
    content.vb: Public Sub New(hex As Integer)
  overload: Voile.Color.#ctor*
  nameWithType.vb: Color.New(Integer)
  fullName.vb: Voile.Color.New(Integer)
  name.vb: New(Integer)
- uid: Voile.Color.FromHexString(System.String)
  commentId: M:Voile.Color.FromHexString(System.String)
  id: FromHexString(System.String)
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: FromHexString(string)
  nameWithType: Color.FromHexString(string)
  fullName: Voile.Color.FromHexString(string)
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: FromHexString
    path: Source/Utils/Color.cs
    startLine: 80
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color FromHexString(string hex)
    parameters:
    - id: hex
      type: System.String
    return:
      type: Voile.Color
    content.vb: Public Shared Function FromHexString(hex As String) As Color
  overload: Voile.Color.FromHexString*
  nameWithType.vb: Color.FromHexString(String)
  fullName.vb: Voile.Color.FromHexString(String)
  name.vb: FromHexString(String)
- uid: Voile.Color.Lightened(System.Single)
  commentId: M:Voile.Color.Lightened(System.Single)
  id: Lightened(System.Single)
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Lightened(float)
  nameWithType: Color.Lightened(float)
  fullName: Voile.Color.Lightened(float)
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Lightened
    path: Source/Utils/Color.cs
    startLine: 103
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public Color Lightened(float amount)
    parameters:
    - id: amount
      type: System.Single
    return:
      type: Voile.Color
    content.vb: Public Function Lightened(amount As Single) As Color
  overload: Voile.Color.Lightened*
  nameWithType.vb: Color.Lightened(Single)
  fullName.vb: Voile.Color.Lightened(Single)
  name.vb: Lightened(Single)
- uid: Voile.Color.Darkened(System.Single)
  commentId: M:Voile.Color.Darkened(System.Single)
  id: Darkened(System.Single)
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: Darkened(float)
  nameWithType: Color.Darkened(float)
  fullName: Voile.Color.Darkened(float)
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Darkened
    path: Source/Utils/Color.cs
    startLine: 113
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public Color Darkened(float amount)
    parameters:
    - id: amount
      type: System.Single
    return:
      type: Voile.Color
    content.vb: Public Function Darkened(amount As Single) As Color
  overload: Voile.Color.Darkened*
  nameWithType.vb: Color.Darkened(Single)
  fullName.vb: Voile.Color.Darkened(Single)
  name.vb: Darkened(Single)
- uid: Voile.Color.ToSystemColor
  commentId: M:Voile.Color.ToSystemColor
  id: ToSystemColor
  parent: Voile.Color
  langs:
  - csharp
  - vb
  name: ToSystemColor()
  nameWithType: Color.ToSystemColor()
  fullName: Voile.Color.ToSystemColor()
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/Color.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: ToSystemColor
    path: Source/Utils/Color.cs
    startLine: 123
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public Color ToSystemColor()
    return:
      type: System.Drawing.Color
    content.vb: Public Function ToSystemColor() As Color
  overload: Voile.Color.ToSystemColor*
references:
- uid: Voile
  commentId: N:Voile
  href: Voile.html
  name: Voile
  nameWithType: Voile
  fullName: Voile
- uid: System.IEquatable{Voile.Color}
  commentId: T:System.IEquatable{Voile.Color}
  parent: System
  definition: System.IEquatable`1
  href: https://learn.microsoft.com/dotnet/api/system.iequatable-1
  name: IEquatable<Color>
  nameWithType: IEquatable<Color>
  fullName: System.IEquatable<Voile.Color>
  nameWithType.vb: IEquatable(Of Color)
  fullName.vb: System.IEquatable(Of Voile.Color)
  name.vb: IEquatable(Of Color)
  spec.csharp:
  - uid: System.IEquatable`1
    name: IEquatable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.iequatable-1
  - name: <
  - uid: Voile.Color
    name: Color
    href: Voile.Color.html
  - name: '>'
  spec.vb:
  - uid: System.IEquatable`1
    name: IEquatable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.iequatable-1
  - name: (
  - name: Of
  - name: " "
  - uid: Voile.Color
    name: Color
    href: Voile.Color.html
  - name: )
- uid: System.ValueType.Equals(System.Object)
  commentId: M:System.ValueType.Equals(System.Object)
  parent: System.ValueType
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.valuetype.equals
  name: Equals(object)
  nameWithType: ValueType.Equals(object)
  fullName: System.ValueType.Equals(object)
  nameWithType.vb: ValueType.Equals(Object)
  fullName.vb: System.ValueType.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.ValueType.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.equals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.ValueType.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.equals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.ValueType.GetHashCode
  commentId: M:System.ValueType.GetHashCode
  parent: System.ValueType
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.valuetype.gethashcode
  name: GetHashCode()
  nameWithType: ValueType.GetHashCode()
  fullName: System.ValueType.GetHashCode()
  spec.csharp:
  - uid: System.ValueType.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.ValueType.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.gethashcode
  - name: (
  - name: )
- uid: System.ValueType.ToString
  commentId: M:System.ValueType.ToString
  parent: System.ValueType
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.valuetype.tostring
  name: ToString()
  nameWithType: ValueType.ToString()
  fullName: System.ValueType.ToString()
  spec.csharp:
  - uid: System.ValueType.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.ValueType.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.tostring
  - name: (
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.IEquatable`1
  commentId: T:System.IEquatable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.iequatable-1
  name: IEquatable<T>
  nameWithType: IEquatable<T>
  fullName: System.IEquatable<T>
  nameWithType.vb: IEquatable(Of T)
  fullName.vb: System.IEquatable(Of T)
  name.vb: IEquatable(Of T)
  spec.csharp:
  - uid: System.IEquatable`1
    name: IEquatable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.iequatable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.IEquatable`1
    name: IEquatable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.iequatable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: System.ValueType
  commentId: T:System.ValueType
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.valuetype
  name: ValueType
  nameWithType: ValueType
  fullName: System.ValueType
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: Voile.Color
  commentId: T:Voile.Color
  parent: Voile
  href: Voile.Color.html
  name: Color
  nameWithType: Color
  fullName: Voile.Color
- uid: Voile.Color.R*
  commentId: Overload:Voile.Color.R
  href: Voile.Color.html#Voile_Color_R
  name: R
  nameWithType: Color.R
  fullName: Voile.Color.R
- uid: System.Single
  commentId: T:System.Single
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.single
  name: float
  nameWithType: float
  fullName: float
  nameWithType.vb: Single
  fullName.vb: Single
  name.vb: Single
- uid: Voile.Color.G*
  commentId: Overload:Voile.Color.G
  href: Voile.Color.html#Voile_Color_G
  name: G
  nameWithType: Color.G
  fullName: Voile.Color.G
- uid: Voile.Color.B*
  commentId: Overload:Voile.Color.B
  href: Voile.Color.html#Voile_Color_B
  name: B
  nameWithType: Color.B
  fullName: Voile.Color.B
- uid: Voile.Color.A*
  commentId: Overload:Voile.Color.A
  href: Voile.Color.html#Voile_Color_A
  name: A
  nameWithType: Color.A
  fullName: Voile.Color.A
- uid: Voile.Color.Argb*
  commentId: Overload:Voile.Color.Argb
  href: Voile.Color.html#Voile_Color_Argb
  name: Argb
  nameWithType: Color.Argb
  fullName: Voile.Color.Argb
- uid: System.Int32
  commentId: T:System.Int32
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int
  nameWithType: int
  fullName: int
  nameWithType.vb: Integer
  fullName.vb: Integer
  name.vb: Integer
- uid: Voile.Color.#ctor*
  commentId: Overload:Voile.Color.#ctor
  href: Voile.Color.html#Voile_Color__ctor_System_Single_System_Single_System_Single_System_Single_
  name: Color
  nameWithType: Color.Color
  fullName: Voile.Color.Color
  nameWithType.vb: Color.New
  fullName.vb: Voile.Color.New
  name.vb: New
- uid: System.Byte
  commentId: T:System.Byte
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.byte
  name: byte
  nameWithType: byte
  fullName: byte
  nameWithType.vb: Byte
  fullName.vb: Byte
  name.vb: Byte
- uid: Voile.Color.FromHexString*
  commentId: Overload:Voile.Color.FromHexString
  href: Voile.Color.html#Voile_Color_FromHexString_System_String_
  name: FromHexString
  nameWithType: Color.FromHexString
  fullName: Voile.Color.FromHexString
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: Voile.Color.Lightened*
  commentId: Overload:Voile.Color.Lightened
  href: Voile.Color.html#Voile_Color_Lightened_System_Single_
  name: Lightened
  nameWithType: Color.Lightened
  fullName: Voile.Color.Lightened
- uid: Voile.Color.Darkened*
  commentId: Overload:Voile.Color.Darkened
  href: Voile.Color.html#Voile_Color_Darkened_System_Single_
  name: Darkened
  nameWithType: Color.Darkened
  fullName: Voile.Color.Darkened
- uid: Voile.Color.ToSystemColor*
  commentId: Overload:Voile.Color.ToSystemColor
  href: Voile.Color.html#Voile_Color_ToSystemColor
  name: ToSystemColor
  nameWithType: Color.ToSystemColor
  fullName: Voile.Color.ToSystemColor
- uid: System.Drawing.Color
  commentId: T:System.Drawing.Color
  parent: System.Drawing
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.drawing.color
  name: Color
  nameWithType: Color
  fullName: System.Drawing.Color
- uid: System.Drawing
  commentId: N:System.Drawing
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Drawing
  nameWithType: System.Drawing
  fullName: System.Drawing
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Drawing
    name: Drawing
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.drawing
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Drawing
    name: Drawing
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.drawing
